MessagesList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class MessagesList

    java.lang.Object
      com.fenalco.entities.MessagesList

    public class MessagesList

extends java.lang.Object

Esta clase representa la lista de mensajes del sistema

Author:
  Mario Linares Vásquez

Field Summary
`private java.util.Hashtable` | `messages` Es un Hashtable que tiene como llave un int que representa el id del mensaje, el objeto es de tipo `Message`

Constructor Summary
`MessagesList()` Constructor por defecto de la clase MessagesList

Method Summary
`java.util.Hashtable` | `getMessages()` Consultor para el atributo messages.
`boolean` | `loadData()` Hace una consulta en la tabla mensa por medio del método `query` de la clase `SqlUtilities` para cargar la lista de parámetros y llenar la variable messages con los messages de mensa del sistema
`void` | `setMessages(java.util.Hashtable messages)` Modificador para el atributo messages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    private java.util.Hashtable messages

  Es un Hashtable que tiene como llave un int que representa el id del mensaje, el objeto es de tipo `Message`

Constructor Detail

### MessagesList

    public MessagesList()

  Constructor por defecto de la clase MessagesList

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla mensa por medio del método `query` de la clase `SqlUtilities` para cargar la lista de parámetros y llenar la variable messages con los messages de mensa del sistema

  Returns:
    booleano que indica si la operación fué exitosa

### getMessages

    public java.util.Hashtable getMessages()

  Consultor para el atributo messages.

  Returns:
    Valor del atributo messages.

### setMessages

    public void setMessages(java.util.Hashtable messages)

  Modificador para el atributo messages.

  Parameters:
    `messages` - Nuevo valor para el atributo messages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD